summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-13 00:39:24 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:39:24 +0200
commit78d31b3e0dffe0794c17830293d9448e6190341f (patch)
tree461484ca844001ca91a37efff1e269704deca9e9 /office
parent4877b9e2ac2fb57b5b8a3d59112afd76209e333e (diff)
downloadslackbuilds-78d31b3e0dffe0794c17830293d9448e6190341f.tar.gz
slackbuilds-78d31b3e0dffe0794c17830293d9448e6190341f.tar.xz
office/osmo: Updated for version 0.2.8
Diffstat (limited to 'office')
-rw-r--r--office/osmo/README11
-rw-r--r--office/osmo/doinst.sh1
-rw-r--r--office/osmo/osmo.SlackBuild30
-rw-r--r--office/osmo/osmo.info10
-rw-r--r--office/osmo/patch-libgringotts-2.diff14
5 files changed, 26 insertions, 40 deletions
diff --git a/office/osmo/README b/office/osmo/README
index 1d4608b05a..749e5ff825 100644
--- a/office/osmo/README
+++ b/office/osmo/README
@@ -1,7 +1,6 @@
-Osmo is a handy personal organizer which includes calendar, tasks
-manager and address book modules. It was designed to be a small,
-easy to use and good looking PIM tool to help to manage personal
-information.
+Osmo is a handy personal organizer which includes calendar, task manager
+and address book modules. It was designed to be a small, easy to use and
+good looking PIM tool to help to manage personal information.
-libnotify, libical, libsyncml (available at SBo), and libgringotts
-(not available at SBo) are optional build time dependencies.
+Optional build-time dependencies are libnotify, libsyncml, and libtar.
+libgringotts, which is not available at SlackBuilds.org, is also optional.
diff --git a/office/osmo/doinst.sh b/office/osmo/doinst.sh
index 5525db8a53..313b00d03c 100644
--- a/office/osmo/doinst.sh
+++ b/office/osmo/doinst.sh
@@ -7,3 +7,4 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
+
diff --git a/office/osmo/osmo.SlackBuild b/office/osmo/osmo.SlackBuild
index 441c63b272..071385b5a7 100644
--- a/office/osmo/osmo.SlackBuild
+++ b/office/osmo/osmo.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=osmo
-VERSION=${VERSION:-0.2.6}
+VERSION=${VERSION:-0.2.8}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,18 +35,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -54,24 +59,17 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Apply patch-libgringotts-2.diff patch found at
-# http://sourceforge.net/mailarchive/forum.php?thread_name=49B43951.50203%40waitrose.com&forum_name=osmo-pim-friends
-# In order for Osmo 0.2.6 to compile, this patch needs to be applied regardless of building with or without libgringotts.
-( cd src
- patch -p0 < $CWD/patch-libgringotts-2.diff || exit 1
-)
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -88,4 +86,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/osmo/osmo.info b/office/osmo/osmo.info
index 0876bcadb8..f26ea17d68 100644
--- a/office/osmo/osmo.info
+++ b/office/osmo/osmo.info
@@ -1,8 +1,10 @@
PRGNAM="osmo"
-VERSION="0.2.6"
+VERSION="0.2.8"
HOMEPAGE="http://clay.ll.pl/osmo"
-DOWNLOAD="http://downloads.sourceforge.net/osmo-pim/osmo-0.2.6.tar.gz"
-MD5SUM="0253bde2583c4299b1afcf2e29b134aa"
+DOWNLOAD="http://downloads.sourceforge.net/osmo-pim/osmo-0.2.8.tar.gz"
+MD5SUM="7fa83efd27cd3ecc54e73f0ec4e91d81"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/office/osmo/patch-libgringotts-2.diff b/office/osmo/patch-libgringotts-2.diff
deleted file mode 100644
index a9a4c79462..0000000000
--- a/office/osmo/patch-libgringotts-2.diff
+++ /dev/null
@@ -1,14 +0,0 @@
-
-Index: notes_items.c
-===================================================================
---- notes_items.c (revision 692)
-+++ notes_items.c (working copy)
-@@ -1038,7 +1037,7 @@ gchar *current_filename;
- if (check_if_encrypted (current_filename, appGUI) == TRUE) {
-
- g_snprintf (tmpbuf, BUFFER_SIZE, "%s\n\n(%s)", _("Cannot open the note."), _("encryption support is disabled"));
-- gui_create_dialog (GTK_MESSAGE_ERROR, tmpbuf, GTK_WINDOW(appGUI->main_window));
-+ utl_gui_create_dialog (GTK_MESSAGE_ERROR, tmpbuf, GTK_WINDOW(appGUI->main_window));
- g_free (current_filename);
- return;
-